Main Page Widgets Namespaces Book

# Glib::ThreadError Class Reference
[Threads]

Exception class for thread-related errors. More...

Inheritance diagram for Glib::ThreadError:

[legend]
List of all members.

## Public Types

enum | Code { AGAIN }

## Public Methods

| ThreadError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for thread-related errors.

## Member Enumeration Documentation

enum Glib::ThreadError::Code

Enumeration values:

  AGAIN |

## Constructor & Destructor Documentation

Glib::ThreadError::ThreadError | ( | GError* | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ThreadError::code | ( |  | ) |

| Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- thread.h